Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_GIOP_Message_Generator_Parser_10 Class Reference

Implementation for GIOP v1.0. More...

`#include <GIOP_Message_Generator_Parser_10.h>`

Inheritance diagram for TAO_GIOP_Message_Generator_Parser_10:

[legend]
Collaboration diagram for TAO_GIOP_Message_Generator_Parser_10:

[legend]
List of all members.

## Public Methods
virtual int | write_request_header (const TAO_Operation_Details &opdetails, TAO_Target_Specification &spec, TAO_OutputCDR &msg)
| Write the request header in to <msg>.
virtual int | write_locate_request_header (CORBA::ULong request_id, TAO_Target_Specification &spec, TAO_OutputCDR &msg)
| Write the LocateRequest header.
virtual int | write_reply_header (TAO_OutputCDR &output, TAO_Pluggable_Reply_Params_Base &reply ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
| Write the reply header in to <output>.
virtual int | write_locate_reply_mesg (TAO_OutputCDR &output, CORBA::ULong request_id, TAO_GIOP_Locate_Status_Msg &status)
| Writes the locate _reply message in to the <output>.
virtual int | parse_request_header (TAO_ServerRequest &)
virtual int | parse_locate_header (TAO_GIOP_Locate_Request_Header &)
virtual int | parse_reply (TAO_InputCDR &input, TAO_Pluggable_Reply_Params &params)
| Parse the reply message from the server.
virtual int | parse_locate_reply (TAO_InputCDR &input, TAO_Pluggable_Reply_Params &params)
| Parse the reply message from the server.
virtual CORBA::Octet | major_version (void)
| Our versions.
virtual CORBA::Octet | minor_version (void)

## Detailed Description

Implementation for GIOP v1.0.

## Member Function Documentation

CORBA::Octet TAO_GIOP_Message_Generator_Parser_10::major_version | ( | void |  | ) | `[virtual]`

| Our versions. Implements TAO_GIOP_Message_Generator_Parser.

CORBA::Octet TAO_GIOP_Message_Generator_Parser_10::minor_version | ( | void |  | ) | `[virtual]`

| Implements TAO_GIOP_Message_Generator_Parser. Reimplemented in TAO_GIOP_Message_Generator_Parser_11.

int TAO_GIOP_Message_Generator_Parser_10::parse_locate_header | ( | TAO_GIOP_Locate_Request_Header & |  | ) | `[virtual]`

| Parse the LocateRequest Header from the incoming stream. This will do a version specific parsing of the incoming Request header Implements TAO_GIOP_Message_Generator_Parser.

int TAO_GIOP_Message_Generator_Parser_10::parse_locate_reply | ( | TAO_InputCDR & | input,
|  | TAO_Pluggable_Reply_Params & | params
| ) | `[virtual]`

| Parse the reply message from the server. Reimplemented from TAO_GIOP_Message_Generator_Parser.

int TAO_GIOP_Message_Generator_Parser_10::parse_reply | ( | TAO_InputCDR & | input,
|  | TAO_Pluggable_Reply_Params & | params
| ) | `[virtual]`

| Parse the reply message from the server. Reimplemented from TAO_GIOP_Message_Generator_Parser.

int TAO_GIOP_Message_Generator_Parser_10::parse_request_header | ( | TAO_ServerRequest & |  | ) | `[virtual]`

| Parse the Request Header from the incoming stream. This will do a version specific parsing of the incoming Request header Implements TAO_GIOP_Message_Generator_Parser.

int TAO_GIOP_Message_Generator_Parser_10::write_locate_reply_mesg | ( | TAO_OutputCDR & | output,
|  | CORBA::ULong | request_id,
|  | TAO_GIOP_Locate_Status_Msg & | status
| ) | `[virtual]`

| Writes the locate _reply message in to the <output>. Implements TAO_GIOP_Message_Generator_Parser.

int TAO_GIOP_Message_Generator_Parser_10::write_locate_request_header | ( | CORBA::ULong | request_id,
|  | TAO_Target_Specification & | spec,
|  | TAO_OutputCDR & | msg
| ) | `[virtual]`

| Write the LocateRequest header. Implements TAO_GIOP_Message_Generator_Parser.

int TAO_GIOP_Message_Generator_Parser_10::write_reply_header | ( | TAO_OutputCDR & | output,
|  | TAO_Pluggable_Reply_Params_Base &reply | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException)`[virtual]`

| Write the reply header in to <output>. Implements TAO_GIOP_Message_Generator_Parser.

int TAO_GIOP_Message_Generator_Parser_10::write_request_header | ( | const TAO_Operation_Details & | opdetails,
|  | TAO_Target_Specification & | spec,
|  | TAO_OutputCDR & | msg
| ) | `[virtual]`

| Write the request header in to <msg>. Implements TAO_GIOP_Message_Generator_Parser.

The documentation for this class was generated from the following files:

- GIOP_Message_Generator_Parser_10.h
- GIOP_Message_Generator_Parser_10.cpp